**To provision a transit virtual interface to be owned by the specified AWS account**

The following ``allocate-transit-virtual-interface`` example provisions a transit virtual interface for the specified account. ::

    aws directconnect allocate-transit-virtual-interface \
        --connection-id dxlag-fEXAMPLE \
        --owner-account 123456789012 \
        --new-transit-virtual-interface-allocation "virtualInterfaceName=Example Transit Virtual Interface,vlan=126,asn=65110,mtu=1500,authKey=0xzxgA9YoW9h58u8SEXAMPLE,amazonAddress=192.168.1.1/30,customerAddress=192.168.1.2/30,addressFamily=ipv4,tags=[{key=Tag,value=Example}]"

Output::

    {
        "virtualInterface": {
            "ownerAccount": "123456789012",
            "virtualInterfaceId": "dxvif-fEXAMPLE",
            "location": "loc1",
            "connectionId": "dxlag-fEXAMPLE",
            "virtualInterfaceType": "transit",
            "virtualInterfaceName": "Example Transit Virtual Interface",
            "vlan": 126,
            "asn": 65110,
            "amazonSideAsn": 7224,
            "authKey": "0xzxgA9YoW9h58u8SEXAMPLE",
            "amazonAddress": "192.168.1.1/30",
            "customerAddress": "192.168.1.2/30",
            "addressFamily": "ipv4",
            "virtualInterfaceState": "confirming",
            "customerRouterConfig": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<logical_connection id=\"dxvif-fEXAMPLE\">\n  <vlan>126</vlan>\n  <customer_address>192.168.1.2/30</customer_address>\n  <amazon_address>192.168.1.1/30</amazon_address>\n  <bgp_asn>65110</bgp_asn>\n  <bgp_auth_key>0xzxgA9YoW9h58u8SEXAMPLE</bgp_auth_key>\n  <amazon_bgp_asn>7224</amazon_bgp_asn>\n  <connection_type>transit</connection_type>\n</logical_connection>\n",
            "mtu": 1500,
            "jumboFrameCapable": true,
            "virtualGatewayId": "",
            "directConnectGatewayId": "",
            "routeFilterPrefixes": [],
            "bgpPeers": [
                {
                    "bgpPeerId": "dxpeer-fEXAMPLE",
                    "asn": 65110,
                    "authKey": "0xzxgA9YoW9h58u8EXAMPLE",
                    "addressFamily": "ipv4",
                    "amazonAddress": "192.168.1.1/30",
                    "customerAddress": "192.168.1.2/30",
                    "bgpPeerState": "pending",
                    "bgpStatus": "down",
                    "awsDeviceV2": "loc1-26wz6vEXAMPLE"
                }
            ],
            "region": "sa-east-1",
            "awsDeviceV2": "loc1-26wz6vEXAMPLE",
            "tags": [
                {
                    "key": "Tag",
                    "value": "Example"
                }
            ]
        }
    }

For more information, see `Creating a Hosted Transit Virtual Interface <https://docs.aws.amazon.com/directconnect/latest/UserGuide/createhostedvirtualinterface.html#create-hosted-transit-vif>`__ in the *AWS Direct Connect User Guide*.
